Package org.lwjgl.opengl

# Class ARBImaging

java.lang.Object
org.lwjgl.opengl.ARBImaging

public final class ARBImaging extends Object

The GL12 imaging subset extension.

Version:
  $Revision$ $Id$
Author:
  cix_foo invalid input: '<'cix_foo@users.sourceforge.net>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_BLEND_COLOR`
`static final int`
`GL_BLEND_EQUATION`
`static final int`
`GL_COLOR_MATRIX`
`static final int`
`GL_COLOR_MATRIX_STACK_DEPTH`
`static final int`
`GL_COLOR_TABLE`
`static final int`
`GL_COLOR_TABLE_ALPHA_SIZE`
`static final int`
`GL_COLOR_TABLE_BIAS`
`static final int`
`GL_COLOR_TABLE_BLUE_SIZE`
`static final int`
`GL_COLOR_TABLE_FORMAT`
`static final int`
`GL_COLOR_TABLE_GREEN_SIZE`
`static final int`
`GL_COLOR_TABLE_INTENSITY_SIZE`
`static final int`
`GL_COLOR_TABLE_LUMINANCE_SIZE`
`static final int`
`GL_COLOR_TABLE_RED_SIZE`
`static final int`
`GL_COLOR_TABLE_SCALE`
`static final int`
`GL_COLOR_TABLE_WIDTH`
`static final int`
`GL_CONSTANT_BORDER`
`static final int`
`GL_CONVOLUTION_1D`
`static final int`
`GL_CONVOLUTION_2D`
`static final int`
`GL_CONVOLUTION_BORDER_COLOR`
`static final int`
`GL_CONVOLUTION_BORDER_MODE`
`static final int`
`GL_CONVOLUTION_FILTER_BIAS`
`static final int`
`GL_CONVOLUTION_FILTER_SCALE`
`static final int`
`GL_CONVOLUTION_FORMAT`
`static final int`
`GL_CONVOLUTION_HEIGHT`
`static final int`
`GL_CONVOLUTION_WIDTH`
`static final int`
`GL_FUNC_ADD`
`static final int`
`GL_FUNC_REVERSE_SUBTRACT`
`static final int`
`GL_FUNC_SUBTRACT`
`static final int`
`GL_HISTOGRAM`
`static final int`
`GL_HISTOGRAM_ALPHA_SIZE`
`static final int`
`GL_HISTOGRAM_BLUE_SIZE`
`static final int`
`GL_HISTOGRAM_FORMAT`
`static final int`
`GL_HISTOGRAM_GREEN_SIZE`
`static final int`
`GL_HISTOGRAM_LUMINANCE_SIZE`
`static final int`
`GL_HISTOGRAM_RED_SIZE`
`static final int`
`GL_HISTOGRAM_SINK`
`static final int`
`GL_HISTOGRAM_WIDTH`
`static final int`
`GL_IGNORE_BORDER`
`static final int`
`GL_MAX`
`static final int`
`GL_MAX_COLOR_MATRIX_STACK_DEPTH`
`static final int`
`GL_MAX_CONVOLUTION_HEIGHT`
`static final int`
`GL_MAX_CONVOLUTION_WIDTH`
`static final int`
`GL_MIN`
`static final int`
`GL_MINMAX`
`static final int`
`GL_MINMAX_FORMAT`
`static final int`
`GL_MINMAX_SINK`
`static final int`
`GL_POST_COLOR_MATRIX_ALPHA_BIAS`
`static final int`
`GL_POST_COLOR_MATRIX_ALPHA_SCALE`
`static final int`
`GL_POST_COLOR_MATRIX_BLUE_BIAS`
`static final int`
`GL_POST_COLOR_MATRIX_BLUE_SCALE`
`static final int`
`GL_POST_COLOR_MATRIX_COLOR_TABLE`
`static final int`
`GL_POST_COLOR_MATRIX_GREEN_BIAS`
`static final int`
`GL_POST_COLOR_MATRIX_GREEN_SCALE`
`static final int`
`GL_POST_COLOR_MATRIX_RED_BIAS`
`static final int`
`GL_POST_COLOR_MATRIX_RED_SCALE`
`static final int`
`GL_POST_CONVOLUTION_ALPHA_BIAS`
`static final int`
`GL_POST_CONVOLUTION_ALPHA_SCALE`
`static final int`
`GL_POST_CONVOLUTION_BLUE_BIAS`
`static final int`
`GL_POST_CONVOLUTION_BLUE_SCALE`
`static final int`
`GL_POST_CONVOLUTION_COLOR_TABLE`
`static final int`
`GL_POST_CONVOLUTION_GREEN_BIAS`
`static final int`
`GL_POST_CONVOLUTION_GREEN_SCALE`
`static final int`
`GL_POST_CONVOLUTION_RED_BIAS`
`static final int`
`GL_POST_CONVOLUTION_RED_SCALE`
`static final int`
`GL_PROXY_COLOR_TABLE`
`static final int`
`GL_PROXY_HISTOGRAM`
`static final int`
`GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE`
`static final int`
`GL_PROXY_POST_CONVOLUTION_COLOR_TABLE`
`static final int`
`GL_REDUCE`
`static final int`
`GL_REPLICATE_BORDER`
`static final int`
`GL_SEPARABLE_2D`
`static final int`
`GL_TABLE_TOO_LARGE`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBlendColor(float red, float green, float blue, float alpha)`
`static void`
`glBlendEquation(int mode)`
`static void`
`glColorSubTable(int target, int start, int count, int format, int type, long data_buffer_offset)`
`static void`
`glColorSubTable(int target, int start, int count, int format, int type, ByteBuffer data)`
`static void`
`glColorSubTable(int target, int start, int count, int format, int type, DoubleBuffer data)`
`static void`
`glColorSubTable(int target, int start, int count, int format, int type, FloatBuffer data)`
`static void`
`glColorTable(int target, int internalFormat, int width, int format, int type, long data_buffer_offset)`
`static void`
`glColorTable(int target, int internalFormat, int width, int format, int type, ByteBuffer data)`
`static void`
`glColorTable(int target, int internalFormat, int width, int format, int type, DoubleBuffer data)`
`static void`
`glColorTable(int target, int internalFormat, int width, int format, int type, FloatBuffer data)`
`static void`
`glColorTableParameter(int target, int pname, FloatBuffer params)`
`static void`
`glColorTableParameter(int target, int pname, IntBuffer params)`
`static void`
`glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, long image_buffer_offset)`
`static void`
`glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, ByteBuffer image)`
`static void`
`glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, DoubleBuffer image)`
`static void`
`glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, FloatBuffer image)`
`static void`
`glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, IntBuffer image)`
`static void`
`glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, ShortBuffer image)`
`static void`
`glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, long image_buffer_offset)`
`static void`
`glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, ByteBuffer image)`
`static void`
`glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, IntBuffer image)`
`static void`
`glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, ShortBuffer image)`
`static void`
`glConvolutionParameter(int target, int pname, FloatBuffer params)`
`static void`
`glConvolutionParameter(int target, int pname, IntBuffer params)`
`static void`
`glConvolutionParameterf(int target, int pname, float params)`
`static void`
`glConvolutionParameteri(int target, int pname, int params)`
`static void`
`glCopyColorSubTable(int target, int start, int x, int y, int width)`
`static void`
`glCopyColorTable(int target, int internalformat, int x, int y, int width)`
`static void`
`glCopyConvolutionFilter1D(int target, int internalformat, int x, int y, int width)`
`static void`
`glCopyConvolutionFilter2D(int target, int internalformat, int x, int y, int width, int height)`
`static void`
`glGetColorTable(int target, int format, int type, ByteBuffer data)`
`static void`
`glGetColorTable(int target, int format, int type, DoubleBuffer data)`
`static void`
`glGetColorTable(int target, int format, int type, FloatBuffer data)`
`static void`
`glGetColorTableParameter(int target, int pname, FloatBuffer params)`
`static void`
`glGetColorTableParameter(int target, int pname, IntBuffer params)`
`static void`
`glGetConvolutionFilter(int target, int format, int type, long image_buffer_offset)`
`static void`
`glGetConvolutionFilter(int target, int format, int type, ByteBuffer image)`
`static void`
`glGetConvolutionFilter(int target, int format, int type, DoubleBuffer image)`
`static void`
`glGetConvolutionFilter(int target, int format, int type, FloatBuffer image)`
`static void`
`glGetConvolutionFilter(int target, int format, int type, IntBuffer image)`
`static void`
`glGetConvolutionFilter(int target, int format, int type, ShortBuffer image)`
`static void`
`glGetConvolutionParameter(int target, int pname, FloatBuffer params)`
`static void`
`glGetConvolutionParameter(int target, int pname, IntBuffer params)`
`static void`
`glGetHistogram(int target, boolean reset, int format, int type, long values_buffer_offset)`
`static void`
`glGetHistogram(int target, boolean reset, int format, int type, ByteBuffer values)`
`static void`
`glGetHistogram(int target, boolean reset, int format, int type, DoubleBuffer values)`
`static void`
`glGetHistogram(int target, boolean reset, int format, int type, FloatBuffer values)`
`static void`
`glGetHistogram(int target, boolean reset, int format, int type, IntBuffer values)`
`static void`
`glGetHistogram(int target, boolean reset, int format, int type, ShortBuffer values)`
`static void`
`glGetHistogramParameter(int target, int pname, FloatBuffer params)`
`static void`
`glGetHistogramParameter(int target, int pname, IntBuffer params)`
`static void`
`glGetMinmax(int target, boolean reset, int format, int types, long values_buffer_offset)`
`static void`
`glGetMinmax(int target, boolean reset, int format, int types, ByteBuffer values)`
`static void`
`glGetMinmax(int target, boolean reset, int format, int types, DoubleBuffer values)`
`static void`
`glGetMinmax(int target, boolean reset, int format, int types, FloatBuffer values)`
`static void`
`glGetMinmax(int target, boolean reset, int format, int types, IntBuffer values)`
`static void`
`glGetMinmax(int target, boolean reset, int format, int types, ShortBuffer values)`
`static void`
`glGetMinmaxParameter(int target, int pname, FloatBuffer params)`
`static void`
`glGetMinmaxParameter(int target, int pname, IntBuffer params)`
`static void`
`glGetSeparableFilter(int target, int format, int type, long row_buffer_offset, long column_buffer_offset, long span_buffer_offset)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ByteBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ByteBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ByteBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ByteBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, DoubleBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, DoubleBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, DoubleBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, DoubleBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, IntBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, IntBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, IntBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, IntBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ShortBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ShortBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ShortBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ShortBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ByteBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ByteBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ByteBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ByteBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, IntBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, IntBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, IntBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, IntBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ShortBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ShortBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ShortBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ShortBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ByteBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ByteBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ByteBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ByteBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, DoubleBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, DoubleBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, DoubleBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, DoubleBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, IntBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, IntBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, IntBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, IntBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ShortBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ShortBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ShortBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ShortBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, ByteBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, ByteBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, ByteBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, ByteBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, DoubleBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, DoubleBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, DoubleBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, DoubleBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, IntBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, IntBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, IntBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, IntBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, ShortBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, ShortBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, ShortBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, IntBuffer row, ShortBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ByteBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ByteBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ByteBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ByteBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, DoubleBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, DoubleBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, DoubleBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, DoubleBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, IntBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, IntBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, IntBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, IntBuffer column, ShortBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ShortBuffer column, ByteBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ShortBuffer column, DoubleBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ShortBuffer column, IntBuffer span)`
`static void`
`glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ShortBuffer column, ShortBuffer span)`
`static void`
`glHistogram(int target, int width, int internalformat, boolean sink)`
`static void`
`glMinmax(int target, int internalformat, boolean sink)`
`static void`
`glResetHistogram(int target)`
`static void`
`glResetMinmax(int target)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, long row_buffer_offset, long column_buffer_offset)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ByteBuffer row, ByteBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ByteBuffer row, DoubleBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ByteBuffer row, FloatBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ByteBuffer row, IntBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ByteBuffer row, ShortBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, DoubleBuffer row, ByteBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, DoubleBuffer row, DoubleBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, DoubleBuffer row, FloatBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, DoubleBuffer row, IntBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, DoubleBuffer row, ShortBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, FloatBuffer row, ByteBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, FloatBuffer row, DoubleBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, FloatBuffer row, FloatBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, FloatBuffer row, IntBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, FloatBuffer row, ShortBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, IntBuffer row, ByteBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, IntBuffer row, DoubleBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, IntBuffer row, FloatBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, IntBuffer row, IntBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, IntBuffer row, ShortBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ShortBuffer row, ByteBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ShortBuffer row, DoubleBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ShortBuffer row, FloatBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ShortBuffer row, IntBuffer column)`
`static void`
`glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ShortBuffer row, ShortBuffer column)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_BLEND_COLOR

public static final int GL_BLEND_COLOR

See Also:
  - Constant Field Values

### GL_FUNC_ADD

public static final int GL_FUNC_ADD

See Also:
  - Constant Field Values

### GL_MIN

public static final int GL_MIN

See Also:
  - Constant Field Values

### GL_MAX

public static final int GL_MAX

See Also:
  - Constant Field Values

### GL_BLEND_EQUATION

public static final int GL_BLEND_EQUATION

See Also:
  - Constant Field Values

### GL_FUNC_SUBTRACT

public static final int GL_FUNC_SUBTRACT

See Also:
  - Constant Field Values

### GL_FUNC_REVERSE_SUBTRACT

public static final int GL_FUNC_REVERSE_SUBTRACT

See Also:
  - Constant Field Values

### GL_COLOR_MATRIX

public static final int GL_COLOR_MATRIX

See Also:
  - Constant Field Values

### GL_COLOR_MATRIX_STACK_DEPTH

public static final int GL_COLOR_MATRIX_STACK_DEPTH

See Also:
  - Constant Field Values

### GL_MAX_COLOR_MATRIX_STACK_DEPTH

public static final int GL_MAX_COLOR_MATRIX_STACK_DEPTH

See Also:
  - Constant Field Values

### GL_POST_COLOR_MATRIX_RED_SCALE

public static final int GL_POST_COLOR_MATRIX_RED_SCALE

See Also:
  - Constant Field Values

### GL_POST_COLOR_MATRIX_GREEN_SCALE

public static final int GL_POST_COLOR_MATRIX_GREEN_SCALE

See Also:
  - Constant Field Values

### GL_POST_COLOR_MATRIX_BLUE_SCALE

public static final int GL_POST_COLOR_MATRIX_BLUE_SCALE

See Also:
  - Constant Field Values

### GL_POST_COLOR_MATRIX_ALPHA_SCALE

public static final int GL_POST_COLOR_MATRIX_ALPHA_SCALE

See Also:
  - Constant Field Values

### GL_POST_COLOR_MATRIX_RED_BIAS

public static final int GL_POST_COLOR_MATRIX_RED_BIAS

See Also:
  - Constant Field Values

### GL_POST_COLOR_MATRIX_GREEN_BIAS

public static final int GL_POST_COLOR_MATRIX_GREEN_BIAS

See Also:
  - Constant Field Values

### GL_POST_COLOR_MATRIX_BLUE_BIAS

public static final int GL_POST_COLOR_MATRIX_BLUE_BIAS

See Also:
  - Constant Field Values

### GL_POST_COLOR_MATRIX_ALPHA_BIAS

public static final int GL_POST_COLOR_MATRIX_ALPHA_BIAS

See Also:
  - Constant Field Values

### GL_COLOR_TABLE

public static final int GL_COLOR_TABLE

See Also:
  - Constant Field Values

### GL_POST_CONVOLUTION_COLOR_TABLE

public static final int GL_POST_CONVOLUTION_COLOR_TABLE

See Also:
  - Constant Field Values

### GL_POST_COLOR_MATRIX_COLOR_TABLE

public static final int GL_POST_COLOR_MATRIX_COLOR_TABLE

See Also:
  - Constant Field Values

### GL_PROXY_COLOR_TABLE

public static final int GL_PROXY_COLOR_TABLE

See Also:
  - Constant Field Values

### GL_PROXY_POST_CONVOLUTION_COLOR_TABLE

public static final int GL_PROXY_POST_CONVOLUTION_COLOR_TABLE

See Also:
  - Constant Field Values

### GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE

public static final int GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_SCALE

public static final int GL_COLOR_TABLE_SCALE

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_BIAS

public static final int GL_COLOR_TABLE_BIAS

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_FORMAT

public static final int GL_COLOR_TABLE_FORMAT

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_WIDTH

public static final int GL_COLOR_TABLE_WIDTH

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_RED_SIZE

public static final int GL_COLOR_TABLE_RED_SIZE

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_GREEN_SIZE

public static final int GL_COLOR_TABLE_GREEN_SIZE

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_BLUE_SIZE

public static final int GL_COLOR_TABLE_BLUE_SIZE

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_ALPHA_SIZE

public static final int GL_COLOR_TABLE_ALPHA_SIZE

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_LUMINANCE_SIZE

public static final int GL_COLOR_TABLE_LUMINANCE_SIZE

See Also:
  - Constant Field Values

### GL_COLOR_TABLE_INTENSITY_SIZE

public static final int GL_COLOR_TABLE_INTENSITY_SIZE

See Also:
  - Constant Field Values

### GL_CONVOLUTION_1D

public static final int GL_CONVOLUTION_1D

See Also:
  - Constant Field Values

### GL_CONVOLUTION_2D

public static final int GL_CONVOLUTION_2D

See Also:
  - Constant Field Values

### GL_SEPARABLE_2D

public static final int GL_SEPARABLE_2D

See Also:
  - Constant Field Values

### GL_CONVOLUTION_BORDER_MODE

public static final int GL_CONVOLUTION_BORDER_MODE

See Also:
  - Constant Field Values

### GL_CONVOLUTION_FILTER_SCALE

public static final int GL_CONVOLUTION_FILTER_SCALE

See Also:
  - Constant Field Values

### GL_CONVOLUTION_FILTER_BIAS

public static final int GL_CONVOLUTION_FILTER_BIAS

See Also:
  - Constant Field Values

### GL_REDUCE

public static final int GL_REDUCE

See Also:
  - Constant Field Values

### GL_CONVOLUTION_FORMAT

public static final int GL_CONVOLUTION_FORMAT

See Also:
  - Constant Field Values

### GL_CONVOLUTION_WIDTH

public static final int GL_CONVOLUTION_WIDTH

See Also:
  - Constant Field Values

### GL_CONVOLUTION_HEIGHT

public static final int GL_CONVOLUTION_HEIGHT

See Also:
  - Constant Field Values

### GL_MAX_CONVOLUTION_WIDTH

public static final int GL_MAX_CONVOLUTION_WIDTH

See Also:
  - Constant Field Values

### GL_MAX_CONVOLUTION_HEIGHT

public static final int GL_MAX_CONVOLUTION_HEIGHT

See Also:
  - Constant Field Values

### GL_POST_CONVOLUTION_RED_SCALE

public static final int GL_POST_CONVOLUTION_RED_SCALE

See Also:
  - Constant Field Values

### GL_POST_CONVOLUTION_GREEN_SCALE

public static final int GL_POST_CONVOLUTION_GREEN_SCALE

See Also:
  - Constant Field Values

### GL_POST_CONVOLUTION_BLUE_SCALE

public static final int GL_POST_CONVOLUTION_BLUE_SCALE

See Also:
  - Constant Field Values

### GL_POST_CONVOLUTION_ALPHA_SCALE

public static final int GL_POST_CONVOLUTION_ALPHA_SCALE

See Also:
  - Constant Field Values

### GL_POST_CONVOLUTION_RED_BIAS

public static final int GL_POST_CONVOLUTION_RED_BIAS

See Also:
  - Constant Field Values

### GL_POST_CONVOLUTION_GREEN_BIAS

public static final int GL_POST_CONVOLUTION_GREEN_BIAS

See Also:
  - Constant Field Values

### GL_POST_CONVOLUTION_BLUE_BIAS

public static final int GL_POST_CONVOLUTION_BLUE_BIAS

See Also:
  - Constant Field Values

### GL_POST_CONVOLUTION_ALPHA_BIAS

public static final int GL_POST_CONVOLUTION_ALPHA_BIAS

See Also:
  - Constant Field Values

### GL_IGNORE_BORDER

public static final int GL_IGNORE_BORDER

See Also:
  - Constant Field Values

### GL_CONSTANT_BORDER

public static final int GL_CONSTANT_BORDER

See Also:
  - Constant Field Values

### GL_REPLICATE_BORDER

public static final int GL_REPLICATE_BORDER

See Also:
  - Constant Field Values

### GL_CONVOLUTION_BORDER_COLOR

public static final int GL_CONVOLUTION_BORDER_COLOR

See Also:
  - Constant Field Values

### GL_HISTOGRAM

public static final int GL_HISTOGRAM

See Also:
  - Constant Field Values

### GL_PROXY_HISTOGRAM

public static final int GL_PROXY_HISTOGRAM

See Also:
  - Constant Field Values

### GL_HISTOGRAM_WIDTH

public static final int GL_HISTOGRAM_WIDTH

See Also:
  - Constant Field Values

### GL_HISTOGRAM_FORMAT

public static final int GL_HISTOGRAM_FORMAT

See Also:
  - Constant Field Values

### GL_HISTOGRAM_RED_SIZE

public static final int GL_HISTOGRAM_RED_SIZE

See Also:
  - Constant Field Values

### GL_HISTOGRAM_GREEN_SIZE

public static final int GL_HISTOGRAM_GREEN_SIZE

See Also:
  - Constant Field Values

### GL_HISTOGRAM_BLUE_SIZE

public static final int GL_HISTOGRAM_BLUE_SIZE

See Also:
  - Constant Field Values

### GL_HISTOGRAM_ALPHA_SIZE

public static final int GL_HISTOGRAM_ALPHA_SIZE

See Also:
  - Constant Field Values

### GL_HISTOGRAM_LUMINANCE_SIZE

public static final int GL_HISTOGRAM_LUMINANCE_SIZE

See Also:
  - Constant Field Values

### GL_HISTOGRAM_SINK

public static final int GL_HISTOGRAM_SINK

See Also:
  - Constant Field Values

### GL_MINMAX

public static final int GL_MINMAX

See Also:
  - Constant Field Values

### GL_MINMAX_FORMAT

public static final int GL_MINMAX_FORMAT

See Also:
  - Constant Field Values

### GL_MINMAX_SINK

public static final int GL_MINMAX_SINK

See Also:
  - Constant Field Values

### GL_TABLE_TOO_LARGE

public static final int GL_TABLE_TOO_LARGE

See Also:
  - Constant Field Values

## Method Details

### glColorTable

public static void glColorTable(int target, int internalFormat, int width, int format, int type, ByteBuffer data)

### glColorTable

public static void glColorTable(int target, int internalFormat, int width, int format, int type, DoubleBuffer data)

### glColorTable

public static void glColorTable(int target, int internalFormat, int width, int format, int type, FloatBuffer data)

### glColorTable

public static void glColorTable(int target, int internalFormat, int width, int format, int type, long data_buffer_offset)

### glColorSubTable

public static void glColorSubTable(int target, int start, int count, int format, int type, ByteBuffer data)

### glColorSubTable

public static void glColorSubTable(int target, int start, int count, int format, int type, DoubleBuffer data)

### glColorSubTable

public static void glColorSubTable(int target, int start, int count, int format, int type, FloatBuffer data)

### glColorSubTable

public static void glColorSubTable(int target, int start, int count, int format, int type, long data_buffer_offset)

### glColorTableParameter

public static void glColorTableParameter(int target, int pname, IntBuffer params)

### glColorTableParameter

public static void glColorTableParameter(int target, int pname, FloatBuffer params)

### glCopyColorSubTable

public static void glCopyColorSubTable(int target, int start, int x, int y, int width)

### glCopyColorTable

public static void glCopyColorTable(int target, int internalformat, int x, int y, int width)

### glGetColorTable

public static void glGetColorTable(int target, int format, int type, ByteBuffer data)

### glGetColorTable

public static void glGetColorTable(int target, int format, int type, DoubleBuffer data)

### glGetColorTable

public static void glGetColorTable(int target, int format, int type, FloatBuffer data)

### glGetColorTableParameter

public static void glGetColorTableParameter(int target, int pname, IntBuffer params)

### glGetColorTableParameter

public static void glGetColorTableParameter(int target, int pname, FloatBuffer params)

### glBlendEquation

public static void glBlendEquation(int mode)

### glBlendColor

public static void glBlendColor(float red, float green, float blue, float alpha)

### glHistogram

public static void glHistogram(int target, int width, int internalformat, boolean sink)

### glResetHistogram

public static void glResetHistogram(int target)

### glGetHistogram

public static void glGetHistogram(int target, boolean reset, int format, int type, ByteBuffer values)

### glGetHistogram

public static void glGetHistogram(int target, boolean reset, int format, int type, DoubleBuffer values)

### glGetHistogram

public static void glGetHistogram(int target, boolean reset, int format, int type, FloatBuffer values)

### glGetHistogram

public static void glGetHistogram(int target, boolean reset, int format, int type, IntBuffer values)

### glGetHistogram

public static void glGetHistogram(int target, boolean reset, int format, int type, ShortBuffer values)

### glGetHistogram

public static void glGetHistogram(int target, boolean reset, int format, int type, long values_buffer_offset)

### glGetHistogramParameter

public static void glGetHistogramParameter(int target, int pname, FloatBuffer params)

### glGetHistogramParameter

public static void glGetHistogramParameter(int target, int pname, IntBuffer params)

### glMinmax

public static void glMinmax(int target, int internalformat, boolean sink)

### glResetMinmax

public static void glResetMinmax(int target)

### glGetMinmax

public static void glGetMinmax(int target, boolean reset, int format, int types, ByteBuffer values)

### glGetMinmax

public static void glGetMinmax(int target, boolean reset, int format, int types, DoubleBuffer values)

### glGetMinmax

public static void glGetMinmax(int target, boolean reset, int format, int types, FloatBuffer values)

### glGetMinmax

public static void glGetMinmax(int target, boolean reset, int format, int types, IntBuffer values)

### glGetMinmax

public static void glGetMinmax(int target, boolean reset, int format, int types, ShortBuffer values)

### glGetMinmax

public static void glGetMinmax(int target, boolean reset, int format, int types, long values_buffer_offset)

### glGetMinmaxParameter

public static void glGetMinmaxParameter(int target, int pname, FloatBuffer params)

### glGetMinmaxParameter

public static void glGetMinmaxParameter(int target, int pname, IntBuffer params)

### glConvolutionFilter1D

public static void glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, ByteBuffer image)

### glConvolutionFilter1D

public static void glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, DoubleBuffer image)

### glConvolutionFilter1D

public static void glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, FloatBuffer image)

### glConvolutionFilter1D

public static void glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, IntBuffer image)

### glConvolutionFilter1D

public static void glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, ShortBuffer image)

### glConvolutionFilter1D

public static void glConvolutionFilter1D(int target, int internalformat, int width, int format, int type, long image_buffer_offset)

### glConvolutionFilter2D

public static void glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, ByteBuffer image)

### glConvolutionFilter2D

public static void glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, IntBuffer image)

### glConvolutionFilter2D

public static void glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, ShortBuffer image)

### glConvolutionFilter2D

public static void glConvolutionFilter2D(int target, int internalformat, int width, int height, int format, int type, long image_buffer_offset)

### glConvolutionParameterf

public static void glConvolutionParameterf(int target, int pname, float params)

### glConvolutionParameter

public static void glConvolutionParameter(int target, int pname, FloatBuffer params)

### glConvolutionParameteri

public static void glConvolutionParameteri(int target, int pname, int params)

### glConvolutionParameter

public static void glConvolutionParameter(int target, int pname, IntBuffer params)

### glCopyConvolutionFilter1D

public static void glCopyConvolutionFilter1D(int target, int internalformat, int x, int y, int width)

### glCopyConvolutionFilter2D

public static void glCopyConvolutionFilter2D(int target, int internalformat, int x, int y, int width, int height)

### glGetConvolutionFilter

public static void glGetConvolutionFilter(int target, int format, int type, ByteBuffer image)

### glGetConvolutionFilter

public static void glGetConvolutionFilter(int target, int format, int type, DoubleBuffer image)

### glGetConvolutionFilter

public static void glGetConvolutionFilter(int target, int format, int type, FloatBuffer image)

### glGetConvolutionFilter

public static void glGetConvolutionFilter(int target, int format, int type, IntBuffer image)

### glGetConvolutionFilter

public static void glGetConvolutionFilter(int target, int format, int type, ShortBuffer image)

### glGetConvolutionFilter

public static void glGetConvolutionFilter(int target, int format, int type, long image_buffer_offset)

### glGetConvolutionParameter

public static void glGetConvolutionParameter(int target, int pname, FloatBuffer params)

### glGetConvolutionParameter

public static void glGetConvolutionParameter(int target, int pname, IntBuffer params)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ByteBuffer row, ByteBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ByteBuffer row, DoubleBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ByteBuffer row, FloatBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ByteBuffer row, IntBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ByteBuffer row, ShortBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, DoubleBuffer row, ByteBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, DoubleBuffer row, DoubleBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, DoubleBuffer row, FloatBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, DoubleBuffer row, IntBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, DoubleBuffer row, ShortBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, FloatBuffer row, ByteBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, FloatBuffer row, DoubleBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, FloatBuffer row, FloatBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, FloatBuffer row, IntBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, FloatBuffer row, ShortBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, IntBuffer row, ByteBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, IntBuffer row, DoubleBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, IntBuffer row, FloatBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, IntBuffer row, IntBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, IntBuffer row, ShortBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ShortBuffer row, ByteBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ShortBuffer row, DoubleBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ShortBuffer row, FloatBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ShortBuffer row, IntBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, ShortBuffer row, ShortBuffer column)

### glSeparableFilter2D

public static void glSeparableFilter2D(int target, int internalformat, int width, int height, int format, int type, long row_buffer_offset, long column_buffer_offset)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ByteBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ByteBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ByteBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ByteBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, DoubleBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, DoubleBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, DoubleBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, DoubleBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, IntBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, IntBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, IntBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, IntBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ShortBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ShortBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ShortBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ByteBuffer row, ShortBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ByteBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ByteBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ByteBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ByteBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, DoubleBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, IntBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, IntBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, IntBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, IntBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ShortBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ShortBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ShortBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, DoubleBuffer row, ShortBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ByteBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ByteBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ByteBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ByteBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, DoubleBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, DoubleBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, DoubleBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, DoubleBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, IntBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, IntBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, IntBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, IntBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ShortBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ShortBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ShortBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, FloatBuffer row, ShortBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, ByteBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, ByteBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, ByteBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, ByteBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, DoubleBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, DoubleBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, DoubleBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, DoubleBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, IntBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, IntBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, IntBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, IntBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, ShortBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, ShortBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, ShortBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, IntBuffer row, ShortBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ByteBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ByteBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ByteBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ByteBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, DoubleBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, DoubleBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, DoubleBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, DoubleBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, IntBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, IntBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, IntBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, IntBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ShortBuffer column, ByteBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ShortBuffer column, DoubleBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ShortBuffer column, IntBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, ShortBuffer row, ShortBuffer column, ShortBuffer span)

### glGetSeparableFilter

public static void glGetSeparableFilter(int target, int format, int type, long row_buffer_offset, long column_buffer_offset, long span_buffer_offset)